# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
#
# Copyright 1997-2010 Oracle and/or its affiliates. All rights reserved.
#
# Oracle and Java are registered trademarks of Oracle and/or its affiliates.
# Other names may be trademarks of their respective owners.
#
# The contents of this file are subject to the terms of either the GNU
# General Public License Version 2 only ("GPL") or the Common
# Development and Distribution License("CDDL") (collectively, the
# "License"). You may not use this file except in compliance with the
# License. You can obtain a copy of the License at
# http://www.netbeans.org/cddl-gplv2.html
# or nbbuild/licenses/CDDL-GPL-2-CP. See the License for the
# specific language governing permissions and limitations under the
# License.  When distributing the software, include this License Header
# Notice in each file and include the License file at
# nbbuild/licenses/CDDL-GPL-2-CP.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the GPL Version 2 section of the License file that
# accompanied this code. If applicable, add the following below the
# License Header, with the fields enclosed by brackets [] replaced by
# your own identifying information:
# "Portions Copyrighted [year] [name of copyright owner]"
#
# Contributor(s):
#
# The Original Software is NetBeans. The Initial Developer of the Original
# Software is Sun Microsystems, Inc. Portions Copyright 1997-2006 Sun
# Microsystems, Inc. All Rights Reserved.
#
# If you wish your version of this file to be governed by only the CDDL
# or only the GPL Version 2, indicate your decision by adding
# "[Contributor] elects to include this software in this distribution
# under the [CDDL or GPL Version 2] license." If you do not indicate a
# single choice of license, a recipient has the option to distribute
# your version of this file under either the CDDL, the GPL Version 2 or
# to extend the choice of license to its licensees as provided above.
# However, if you add GPL Version 2 code and therefore, elected the GPL
# Version 2 license, then the option applies only if the new code is
# made subject to such option by the copyright holder.

# OLD #
# OLD # AttachDialogAction
# OLD #
# OLD ATTACHDIALOG_ACTION_NAME=&Attach...

ACSD_OK=OK
ACSD_Cancel=Cancel

#
# AttachPanel
#
Refresh=Refresh
MNEM_Refresh=R
ACSD_Refresh=Refresh process list

CTL_Attach=Attach Debugger
ACSD_CTL_AttachToProcess=Allows attaching to an arbitrary running process
AttachProcDiag_FilterColon=Filter:
MNEM_AttachProcDiag_Filter=F
AttachProcDiag_HostColon=Host:
MNEM_AttachProcDiag_Host=H
AttachProcDiag_Table=Process to attach:
MNEM_AttachProcDiag_Table=A
ACSD_AttachProcDiag_Table=List of available processes
RegExp=Regular expression
HostName=Host Name
FromProcess=<From Process>

All_Processes_Lab=All users's processes
All_Processes=Check To Get All Processes Of All Users
MNEM_All_Processes=P
ACSD_All_Processes=Check To Get All Processes Of All Users

MNEM_Hosts=s
ACSD_EditHosts=Edit hosts list
MNEM_Engine=d
ACSD_Engine=Debug Engine
ACSD_Debugging_Engine=Debugging Engine
ASSOCIATED_ENGINE_LBL=Debug Engine:

ERROR_WRONG_FAMILY=Warning: selected project is not configured for this debugger

MSG_Gathering_Data=Gathering data...
MSG_PS_Failed=ps failed, see log for details

#
# DebugCoreNodeAction
#
AutoCoreExe=<from core>
MSG_BadExecutable=An invalid executable name was given in the core file chooser
MSG_BadCoreFile=An invalid core file name was given in the core file chooser
CTL_DebugCorefile=Debug Core File...

#
# DebugCoreAction
#
LOADCOREDIALOGACTION_NAME=Debug C&ore File...
DEBUG_BUTTON_TXT=Debug
LBL_DebugCorefile=Debug Core File

#
# DebugCorePanel
#
ACSD_Debug=Debug
ACSD_DebugCoreFile=Debug core file
ACSN_Guidance=Guidance Text
LOADCORE_GUIDANCETEXT1=Select a core file and an executable to use with it.
LOADCORE_GUIDANCETEXT2=Select an executable and a project to use with the core file.
LOADCORE_COREFILE_LBL=Core File:
LOADCORE_COREFILE_MN=C
LOADCORE_COREFILEBROWSE_BUTTON_MN=B
ACSD_Corefile=Corefile to debug
ACSD_CorefileBrowse=Browse for core file
CorefileChooser=Select Core File
ERROR_CORE_NOT_SPECIFIED=No core file specified
ERROR_CORE_DONTEXIST=The selected core file does not exist
ERROR_NOTACOREFILE=The selected file is not a core file
ACSD_Project=Project to use

#
# DebugExecDialog 
#
ERROR_RUNDIR_DONTEXIST=Working Directory does not exist
ERROR_RUNDIR_INVALID=Invalid Working Directory
EXISTING_PROJECT=Warning : any properties change here of the chosen project will make a permanent change of the project properties.
SelectExecutable=Select Executable
SelectLabel=Select
DIALOG_GUIDANCETEXT=Enter an executable to use with it.
EXECUTABLE_LBL=Executable:
EXECUTABLE_MN=x
EXECUTABLE_AD=Path to executable
BROWSE_BUTTON_TXT=Browse...
BROWSE_BUTTON_MN=B
ASSOCIATED_PROJECT_LBL=Project:
ASSOCIATED_PROJECT_MN=P
RUN_DIRECTORY_LABEL_TXT=Working Directory\:
RUN_DIRECTORY_LABEL_MN=W
RUN_DIRECTORY_BUTTON_TXT=Browse...
RUN_DIRECTORY_BUTTON_MN=r
ARGUMENTS_LABEL_TXT=Arguments\:
ARGUMENTS_DIALOG=Arguments
ARGUMENTS_LABEL_MN=A
ARGUMENT_BUTTON_MN=Args
ARGUMENT_BUTTON_TXT=Args
ENVIRONMENT_LABEL_TXT=Environment\:
ENVIRONMENTS_DIALOG=Environment Variables
ENVIRONMENTS_LABEL=Environment Variables\:
ENVIRONMENT_LABEL_MN=E
ENVS_BUTTON_MN=Environment
ENVIRONMENT_BUTTON_TXT=Environment...
EnvName=Name
EnvValue=Value
PATHMAP_BUTTON_TXT=Pathmap...
SIGNALS_BUTTON_TXT=Signals...
EXCEPTIONS_BUTTON_TXT=Exceptions...
OPTIONS_BUTTON_TXT=Options...


#
# DebugCorePanel & ExecutableProjectPanel (used in AttachDialog)
#
EXECUTABLEBROWSE_BUTTON_MN=o
ACSD_ExecutableBrowse=Browse for executable
MNEM_Project=P
RUN_PROFILE_MN=R
RUN_PROFILE_LBL=Run Profile:
RUN_PROFILES_BUTTON_MN=e
RUN_PROFILES_BUTTON_TXT=Edit...
CHOOSER_BUTTON=Select
DEFAULT_SET_TITLE=Default Set
NEW_PROJECT=<create new project>
NO_PROJECT=<no project>
DBG_ERROR_DONTEXIST=The selected executable does not exist, this debugger requires valid executable to attach
// OLD GDB_ERROR_DONTAPPLY=dbxtool does not allow gdb debugger
ERROR_NEED_EXEC=This debugger requires executable name to attach
ERROR_DONTAPPLY=This debugger not supported
DBX_ERROR_DONTAPPLY=gdbtool does not allow dbx debugger
ERROR_DONTEXIST=The selected executable does not exist
ERROR_NOTAEXEFILE=The selected file is not an executable
ProgramPathname=With this the Debugger can restore breakpoints saved in a previous session

#
# DebugProjectAction
#
# LBL_LoadProgram=Load program
LBL_LoadProgram=Load program...
LBL_Start=Debug Main Project
LBL_Continue=&Continue
CoreExeChooser=Choose Executable

#
# DebuggingOptionsAction
#
CTL_DebuggingOptions=&Debugging Options...

#
# DetachAction
#
LBL_Detach=&Detach Debugger

#
# Assembly Mode Actions
#
LBL_StepInstAction=Stepi Into 
LBL_StepOverInstAction=Stepi Over
LBL_StepOutInstAction=Stepi Out
LBL_RunToCursorInstAction=Run to Cursor
TIP_StepInstAction=Step an Assembly Instruction
TIP_StepOverInstAction=Step Over Assembly Instruction
TIP_StepOutInstAction=Step Out to After Assembly Callsite
TIP_RunToCursorInstAction=Run To Instruction At Cursor

#
# RunToFunctionAction
LBL_RunToFunctionAction=Step Into Last Function
TIP_RunToFunctionAction=Step Into Last or Selected Function Called From Current Line

#
# ContinueAtAction
LBL_ContinueAtAction=&Continue At ...
TIP_ContinueAtAction=Continue At The Selected Line

#
# RerunAction
#
LBL_RerunProcess=&Restart
LBL_RunProcess=&Run
#
# TerminateProcessAction
#
LBL_TerminateProcess=T&erminate Process

#
# PopLastDebuggerCallAction
#
LBL_PopCall=Pop &Last Debugger Call

#
# PopToCurrentFrameAction
#
LBL_PopToCurrent=Pop To Current &Stack Frame

#
# Max Frames
#
TTL_MaxFrames=Max Frames
ACSD_MaxFrames=Set maximum number of stack frames to be displayed
ACT_Max_Frames=Set Max Frames
LBL_max_frames=Set Max Frames
MNEM_MaxFrames=m

#
# AddWatchAction
#
ACT_WATCH_NewWatch=New Watch

#
# Max Object Size
#
TTL_MaxObjectSize=Max Object Size
ACSD_MaxObjectSize=Set maximum size of object to be displayed
ACT_Max_Object_Size=Set Max Object Size
LBL_max_object_size=Max Object Size
MNEM_MaxObjectSize=m

#
# EditWatchPanel
#
TTL_NewWatch=New Watch
ACSD_NewWatch=New Watch

LBL_Scope=Scope:
LBL_Expression=Expression:
LBL_QForm=Qualified Form:

LBL_UseQForm=Use Qualified Form
MNEM_UseQForm=Q
ACSD_UseQForm=Use Qualified Form

LBL_WatchExpression=Watch Expression:
MNEM_WatchExpression=W
ACSD_WatchExpression=Watch Expression:

# LBL_Restrict=Restrict to scope:
# LBL_Restrict=Evaluate this expression in the following scope:

LBL_Restrict0=Choose which scope to parse this expression in:
LBL_Restrict11=Scope at the time application is stopped.
LBL_Restrict12=The current scope:

MSG_EMPTY_WATCH=Empty watch expression

#
# NewBreakpointAction
#
ACT_BPT_NewBreakpoint=New Breakpoint ...
TITLE_NewBreakpoint=New Breakpoint

#
# Other action labels
#
# OLD CTL_ClearAllBreakpointsAction=C&lear All Breakpoints
# OLD CTL_DisableAllBreakpointsAction=Disable &All Breakpoints
# OLD CTL_EnableAllBreakpointsAction=E&nable All Breakpoints

# OLD CTL_PostExceptionsDialogAction=E&xceptions...

#
# Dbx Command I/O, Process I/O
#
CTL_Cmdio=Debugger Console
CTL_Pio=Pro&cess I/O

# OLD #StartRawDbxAction
# OLD StartRawDbxAction=Start Dbx Debugger

#
# DebugExecutableNodeAction
#
DEBUG_DIALOG_TITLE=Debug Executable
DEBUG_ACTION_NAME=Debug

#
# DebugFileAction
#
TITLE_Hosts=Hosts...
MNEM_Host=H
HOST_LBL=Host:

#
# StartCollector
# StopCollector
#
ANALYZER_STARTCOLLECTOR=&Enable Collector
ANALYZER_STOPCOLLECTOR=&Disable Collector


#
# Registers, Memory, Disassembler, Evaluation
#
CTL_Registers=&Registers
CTL_Memory=Mem&ory
CTL_Disassembly=Disasse&mbly
CTL_ExpressionEvaluation=Expression Evaluation
LBL_EvaluateAction=Evaluate Expression

DEFAULT_MODE_RegistersWindow=debugger
DEFAULT_MODE_MemoryWindow=debugger
DEFAULT_MODE_DisassemblerWindow=editor

DEFAULT_MODE_EvaluationWindow=debugger

ADD_BUTTON=Add
REMOVE_BUTTON=Remove

# OLD #
# OLD # Debug->Windows menu stuff
# OLD #
# OLD 
# OLD CTL_DebugWindowsMenuAction=Windows
# OLD MNEM_DebugWindowsMenuAction=W

OUTPUT_ATTACH_ACTION_TEXT=Attach debugger

ATTACH_HISTORY_MESSAGE=Attach to {0}@{1} process

Dis_ACT_Go_To_Source=Go To Source Code
Dis_ACT_Show_Current_Statement=Show Current Statement

PROGRESS_PREPARE_TARGET=Preparing Target to Attach to ...
